Announcement

Collapse
No announcement yet.

R600 Gallium3D Can Now Do OpenGL 3.0, GLSL 1.30

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • #41
    Originally posted by Death Knight View Post
    Does anyone know if there is a regression over OpenGL 3.0?
    Because latest drivers gives me OpenGL 2.1 string on glxinfo, even if I use R600_GLSL130=1 flag...
    Also cannot find anything problematic with LIBGL_DEBUG=verbose but "libGL: Can't open configuration file /home/death/.drirc: No such file or directory." error message.

    OpenGL vendor string: X.Org
    OpenGL renderer string: Gallium 0.4 on AMD RS780
    OpenGL version string: 2.1 Mesa 8.1-devel (git-b2d6386)

    ???
    I have the same problem

    Code:
    glxinfo | grep OpenGL
    OpenGL vendor string: X.Org
    OpenGL renderer string: Gallium 0.4 on AMD TURKS
    OpenGL version string: 2.1 Mesa 9.0.2
    OpenGL shading language version string: 1.30
    OpenGL extensions:

    Comment


    • #42
      Most likely you (or the distribution that packaged it) didn't build mesa with --enable-texture-float. That's required for OpenGL 3.0 and still disabled by default because of concerns over patents.

      Comment


      • #43
        Originally posted by Ansla View Post
        Most likely you (or the distribution that packaged it) didn't build mesa with --enable-texture-float. That's required for OpenGL 3.0 and still disabled by default because of concerns over patents.
        Big THANKS

        Code:
        glxinfo | grep Op
        OpenGL vendor string: X.Org
        OpenGL renderer string: Gallium 0.4 on AMD TURKS
        OpenGL version string: 3.0 Mesa 9.0.2
        OpenGL shading language version string: 1.30
        OpenGL extensions:

        Comment

        Working...
        X